org.apache.flume.sink.elasticsearch

## Interface ElasticSearchEventSerializer

- All Superinterfaces:
    Configurable, ConfigurableComponent
  All Known Implementing Classes:
    ElasticSearchDynamicSerializer, ElasticSearchLogStashEventSerializer

      public interface ElasticSearchEventSerializer
      extends Configurable, ConfigurableComponent

  Interface for an event serializer which serializes the headers and body of an event to write them to ElasticSearch. This is configurable, so any config params required should be taken through this.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Charset` | `charset`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.elasticsearch.common.io.BytesStream` | `getContentBuilder(Event event)` Return an `BytesStream` made up of the serialized flume event

    - ### Methods inherited from interface org.apache.flume.conf.Configurable

      `configure`

    - ### Methods inherited from interface org.apache.flume.conf.ConfigurableComponent

      `configure`

- - ### Field Detail

    - #### charset

          static final Charset charset

  - ### Method Detail

    - #### getContentBuilder

          org.elasticsearch.common.io.BytesStream getContentBuilder(Event event)
                                                                    throws IOException

      Return an `BytesStream` made up of the serialized flume event
      Parameters:
        `event` - The flume event to serialize
      Returns:
        A `BytesStream` used to write to ElasticSearch
      Throws:
        `IOException` - If an error occurs during serialization

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.